package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 接货地址对象 mall_meet_address
 * 
 * @author ruoyi
 * @date 2024-04-15
 */
public class MallMeetAddress extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 接货地址主键ID */
    private Long meetId;

    /** 接货地址名 */
    @Excel(name = "接货地址名")
    private String name;

    /** 接货地址电话 */
    @Excel(name = "接货地址电话")
    private String phone;

    /** 省ID */
    @Excel(name = "省ID")
    private Integer provinceId;

    /** 省名 */
    @Excel(name = "省名")
    private String provinceName;

    /** 市ID */
    @Excel(name = "市ID")
    private Integer cityId;

    /** 市名 */
    @Excel(name = "市名")
    private String cityName;

    /** 区ID */
    @Excel(name = "区ID")
    private Integer areaId;

    /** 地区名 */
    @Excel(name = "地区名")
    private String areaName;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String address;

    /** 是否默认：0-不是，1-是 */
    @Excel(name = "是否默认：0-不是，1-是")
    private String isDefault;

    /** 状态：0-正常，1-停用 */
    @Excel(name = "状态：0-正常，1-停用")
    private String status;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setMeetId(Long meetId) 
    {
        this.meetId = meetId;
    }

    public Long getMeetId() 
    {
        return meetId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setProvinceId(Integer provinceId) 
    {
        this.provinceId = provinceId;
    }

    public Integer getProvinceId() 
    {
        return provinceId;
    }
    public void setProvinceName(String provinceName) 
    {
        this.provinceName = provinceName;
    }

    public String getProvinceName() 
    {
        return provinceName;
    }
    public void setCityId(Integer cityId) 
    {
        this.cityId = cityId;
    }

    public Integer getCityId() 
    {
        return cityId;
    }
    public void setCityName(String cityName) 
    {
        this.cityName = cityName;
    }

    public String getCityName() 
    {
        return cityName;
    }
    public void setAreaId(Integer areaId) 
    {
        this.areaId = areaId;
    }

    public Integer getAreaId() 
    {
        return areaId;
    }
    public void setAreaName(String areaName) 
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setIsDefault(String isDefault) 
    {
        this.isDefault = isDefault;
    }

    public String getIsDefault() 
    {
        return isDefault;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setSort(Integer sort) 
    {
        this.sort = sort;
    }

    public Integer getSort() 
    {
        return sort;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("meetId", getMeetId())
            .append("name", getName())
            .append("phone", getPhone())
            .append("provinceId", getProvinceId())
            .append("provinceName", getProvinceName())
            .append("cityId", getCityId())
            .append("cityName", getCityName())
            .append("areaId", getAreaId())
            .append("areaName", getAreaName())
            .append("address", getAddress())
            .append("isDefault", getIsDefault())
            .append("status", getStatus())
            .append("sort", getSort())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
